com.aliyun.svideosdk.mixrecorder

## Class AliyunMixOutputParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixOutputParam.Builder

- Enclosing class:
    AliyunMixOutputParam

      public static final class AliyunMixOutputParam.Builder
      extends java.lang.Object

  `AliyunMixOutputParam` 内部构建对象

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixOutputParam.Builder` | `bitrate(int bitrate)` 设置输出的码率，只有硬编时该参数有效，单位：kbps
    `AliyunMixOutputParam` | `build()` 构建AliyunMixOutputParam对象 `AliyunMixOutputParam`
    `AliyunMixOutputParam.Builder` | `crf(int crf)` 设置输出的crf，只有软编时该参数才有效
    `AliyunMixOutputParam.Builder` | `fps(int fps)` 设置输出的编码帧率，帧率必须介于[`Constant#MIN_FPS`, `Constant#MAX_FPS`]之间,如果越界，则将被修改为临界值
    `AliyunMixOutputParam.Builder` | `gopSize(int gopSize)` 输出的GOP大小, 必须介于[`Constant#MIN_GOP_VALUE`, `Constant#MAX_GOP_VALUE`]之间,如果越界，则将被修改为临界值。
    `AliyunMixOutputParam.Builder` | `outputAudioReferenceTrack(AliyunMixTrack outputAudioReferenceTrack)` 指定选择哪个轨道的音频流作为输出视频的音频，如果该轨道时长比输出视频时长短，则剩余部分的音频将补空数据，只能选择一路音频。
    `AliyunMixOutputParam.Builder` | `outputDurationReferenceTrack(AliyunMixTrack outputDurationReferenceTrack)` 指定某个轨道的时长作为最终合成视频的时长
    `AliyunMixOutputParam.Builder` | `outputHeight(int outputHeight)` 输出高度，单位：像素
    `AliyunMixOutputParam.Builder` | `outputPath(java.lang.String outputPath)` 设置输出路径
    `AliyunMixOutputParam.Builder` | `outputWidth(int outputWidth)` 输出宽度，单位：像素
    `AliyunMixOutputParam.Builder` | `videoQuality(VideoQuality videoQuality)` 设置输出视频的质量等级

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### outputPath

          public AliyunMixOutputParam.Builder outputPath(java.lang.String outputPath)

      设置输出路径
      Parameters:
        `outputPath` - 输出路径
      Returns:
        Builder

    - #### outputDurationReferenceTrack

          public AliyunMixOutputParam.Builder outputDurationReferenceTrack(AliyunMixTrack outputDurationReferenceTrack)

      指定某个轨道的时长作为最终合成视频的时长
      Parameters:
        `outputDurationReferenceTrack` - 输出轨道
      Returns:
        Builder

    - #### outputAudioReferenceTrack

          public AliyunMixOutputParam.Builder outputAudioReferenceTrack(AliyunMixTrack outputAudioReferenceTrack)

      指定选择哪个轨道的音频流作为输出视频的音频，如果该轨道时长比输出视频时长短，则剩余部分的音频将补空数据，只能选择一路音频。
      Parameters:
        `outputAudioReferenceTrack` - 输出音频轨道
      Returns:
        Builder

    - #### outputWidth

          public AliyunMixOutputParam.Builder outputWidth(int outputWidth)

      输出宽度，单位：像素
      Parameters:
        `outputWidth` - 输出宽度，单位：像素
      Returns:
        Builder

    - #### outputHeight

          public AliyunMixOutputParam.Builder outputHeight(int outputHeight)

      输出高度，单位：像素
      Parameters:
        `outputHeight` - 输出高度，单位：像素
      Returns:
        Builder

    - #### crf

          public AliyunMixOutputParam.Builder crf(int crf)

      设置输出的crf，只有软编时该参数才有效
      Parameters:
        `crf` - 设置 `mCrf` , [`Constant#MIN_CRF_VALUE`，`Constant#MAX_CRF_VALUE`]，如果越界，则将被 修改为临界值。
      Returns:
        Builder

    - #### bitrate

          public AliyunMixOutputParam.Builder bitrate(int bitrate)

      设置输出的码率，只有硬编时该参数有效，单位：kbps
      Parameters:
        `bitrate` - 输出码率 `mBitrate` ，单位：kbps, [`Constant#MIN_VIDEO_BITRATE`, `Constant#MAX_VIDEO_BITRATE`]， 如果越界，则将被修改为临界值。
      Returns:
        a reference to this Builder

    - #### videoQuality

          public AliyunMixOutputParam.Builder videoQuality(VideoQuality videoQuality)

      设置输出视频的质量等级
      Parameters:
        `videoQuality` - 视频质量
      Returns:
        Builder

    - #### fps

          public AliyunMixOutputParam.Builder fps(int fps)

      设置输出的编码帧率，帧率必须介于[`Constant#MIN_FPS`, `Constant#MAX_FPS`]之间,如果越界，则将被修改为临界值
      Parameters:
        `fps` - 帧率。
      Returns:
        Builder

    - #### gopSize

          public AliyunMixOutputParam.Builder gopSize(int gopSize)

      输出的GOP大小, 必须介于[`Constant#MIN_GOP_VALUE`, `Constant#MAX_GOP_VALUE`]之间,如果越界，则将被修改为临界值。
      Parameters:
        `gopSize` - gop大小, [`Constant#MIN_GOP_VALUE`, `Constant#MAX_GOP_VALUE`], 如果越界，则将被修改为临界值。
      Returns:
        Builder

    - #### build

          public AliyunMixOutputParam build()

      构建AliyunMixOutputParam对象 `AliyunMixOutputParam`
      Returns:
        `AliyunMixOutputParam`对象